## org.eclipse.datatools.modelbase.sql.schema.impl
Class SequenceImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
                  org.eclipse.datatools.modelbase.sql.schema.impl.SequenceImpl

All Implemented Interfaces:
  Sequence, SQLObject, TypedElement

    public class SequenceImpl

extends TypedElementImpl
implements Sequence

An implementation of the model object 'Sequence'.

The following features are implemented:

- `Identity`
- `Schema`

Method Summary
`Schema` `basicGetSchema()`
`NotificationChain` `basicSetIdentity(IdentitySpecifier newIdentity, NotificationChain msgs)`
`NotificationChain` `basicSetSchema(Schema newSchema, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`IdentitySpecifier` `getIdentity()`
`Schema` `getSchema()`
`void` `setIdentity(IdentitySpecifier newIdentity)`
`void` `setSchema(Schema newSchema)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
`basicGetReferencedType, basicSetContainedType, getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getIdentity

    public IdentitySpecifier getIdentity()

  Specified by:
    `getIdentity` in interface `Sequence`
  Returns:
    the value of the 'Identity' containment reference.
  See Also:
    `Sequence.setIdentity(IdentitySpecifier)`, `SQLSchemaPackage.getSequence_Identity()`

### basicSetIdentity

    public NotificationChain basicSetIdentity(IdentitySpecifier newIdentity,
                                              NotificationChain msgs)

### setIdentity

    public void setIdentity(IdentitySpecifier newIdentity)

  Specified by:
    `setIdentity` in interface `Sequence`
  Parameters:
    `newIdentity` - the new value of the 'Identity' containment reference.
  See Also:
    `Sequence.getIdentity()`

### getSchema

    public Schema getSchema()

  Specified by:
    `getSchema` in interface `Sequence`
  Returns:
    the value of the 'Schema' reference.
  See Also:
    `Sequence.setSchema(Schema)`, `SQLSchemaPackage.getSequence_Schema()`, `Schema.getSequences()`

### basicGetSchema

    public Schema basicGetSchema()

### basicSetSchema

    public NotificationChain basicSetSchema(Schema newSchema,
                                            NotificationChain msgs)

### setSchema

    public void setSchema(Schema newSchema)

  Specified by:
    `setSchema` in interface `Sequence`
  Parameters:
    `newSchema` - the new value of the 'Schema' reference.
  See Also:
    `Sequence.getSchema()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `TypedElementImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `TypedElementImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `TypedElementImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `TypedElementImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `TypedElementImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.